Debian Bug report logs - #460608
Fails to rewrite files in /etc/suck

version graph

Package: suck; Maintainer for suck is Christian Marillat <marillat@debian.org>; Source for suck is src:suck.

Reported by: Christian Marillat <marillat@debian.org>

Date: Mon, 14 Jan 2008 00:18:01 UTC

Severity: grave

Found in version suck/4.3.2-5

Fixed in version suck/4.3.2-6

Done: Christian Marillat <marillat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Blars Blarson <blarson@blars.org>:
Bug#460608; Package suck. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
New Bug report received and forwarded. Copy sent to Blars Blarson <blarson@blars.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to rewrite files in /etc/suck
Date: Mon, 14 Jan 2008 01:15:27 +0100
Package: suck
Version: 4.3.2-5
Severity: grave
Justification: renders package unusable

Hi,

Since apparently 5 days get-news is unable to write /etc/suck/sucknewsrc
so the next time get-news is run he fail because /etc/suck/sucknewsrc isn't
here and thus make get-news unusable.

Here is the strace, see '-1 EXDEV (Invalid cross-device link)' 

2552  stat("/var/lib/suck/suck.newrc", {st_mode=S_IFREG|0644, st_size=744, ...}) = 0
2552  rename("/etc/suck/sucknewsrc", "/etc/suck/sucknewsrc.old") = 0
2552  stat("/etc/suck/sucknewsrc", 0x603140) = -1 ENOENT (No such file or directory)
2552  stat("/etc/suck/sucknewsrc", 0x603140) = -1 ENOENT (No such file or directory)
2552  stat("/var/lib/suck/suck.newrc", {st_mode=S_IFREG|0644, st_size=744, ...}) = 0
2552  rename("/var/lib/suck/suck.newrc", "/etc/suck/sucknewsrc") = -1 EXDEV (Invalid cross-device link)
2552  stat("/var/lib/suck/suck.newrc", {st_mode=S_IFREG|0644, st_size=744, ...}) = 0
2552  stat("/etc/suck/sucknewsrc", 0x603140) = -1 ENOENT (No such file or directory)
2552  stat("/var/lib/suck/suck.newrc", {st_mode=S_IFREG|0644, st_size=744, ...}) = 0
2552  stat("/etc/suck/sucknewsrc", 0x603140) = -1 ENOENT (No such file or directory)
2552  stat("/etc/suck/sucknewsrc", 0x603140) = -1 ENOENT (No such file or directory)
2552  open("/var/lib/suck/suck.newrc", O_RDONLY) = 4

Christian

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23.8 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages suck depends on:
ii  libc6                         2.7-5      GNU C Library: Shared libraries
ii  libssl0.9.8                   0.9.8g-3   SSL shared libraries

Versions of packages suck recommends:
ii  perl                          5.8.8-12   Larry Wall's Practical Extraction 




Information forwarded to debian-bugs-dist@lists.debian.org, Blars Blarson <blarson@blars.org>:
Bug#460608; Package suck. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@bigon.be>:
Extra info received and forwarded to list. Copy sent to Blars Blarson <blarson@blars.org>. Full text and rfc822 format available.

Message #10 received at 460608@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@bigon.be>
To: 460608-submitter@bugs.debian.org
Cc: 460608@bugs.debian.org
Subject: Re: Fails to rewrite files in /etc/suck
Date: Fri, 2 May 2008 22:52:29 +0200
[Message part 1 (text/plain, inline)]
Hi,

Do you still have this bug?
Are /etc and /var on the same partition?

The get-news script uses the move function of the package File::Copy
to move the file, I've just tested with a small script an the move
function works between a nfs share and my computer, the file was
moved, but I also get the EXDEV error.

I'm not sure what's happening here...

Regards

Laurent 
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Christian Marillat <marillat@debian.org>:
Bug#460608. Full text and rfc822 format available.

Information stored:
Bug#460608; Package suck. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 460608-quiet@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Laurent Bigonville <bigon@bigon.be>
Cc: 460608-quiet@bugs.debian.org
Subject: Re: Bug#460608: Fails to rewrite files in /etc/suck
Date: Sat, 03 May 2008 09:21:22 +0200
Laurent Bigonville <bigon@bigon.be> writes:

> Hi,

Hi,

> Do you still have this bug?

No, because I did my own hack.

> Are /etc and /var on the same partition?

Yes.

> The get-news script uses the move function of the package File::Copy
> to move the file, I've just tested with a small script an the move
> function works between a nfs share and my computer, the file was
> moved, but I also get the EXDEV error.

Well this bug is very old. Apparently the only change is now that in
/usr/sbin/get-news perl is called with -w

Christian




Reply sent to Christian Marillat <marillat@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Marillat <marillat@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 460608-close@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: 460608-close@bugs.debian.org
Subject: Bug#460608: fixed in suck 4.3.2-6
Date: Sat, 16 Aug 2008 07:47:03 +0000
Source: suck
Source-Version: 4.3.2-6

We believe that the bug you reported is fixed in the latest version of
suck, which is due to be installed in the Debian FTP archive:

suck_4.3.2-6.diff.gz
  to pool/main/s/suck/suck_4.3.2-6.diff.gz
suck_4.3.2-6.dsc
  to pool/main/s/suck/suck_4.3.2-6.dsc
suck_4.3.2-6_i386.deb
  to pool/main/s/suck/suck_4.3.2-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460608@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Marillat <marillat@debian.org> (supplier of updated suck package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 16 Aug 2008 09:28:08 +0200
Source: suck
Binary: suck
Architecture: source i386
Version: 4.3.2-6
Distribution: unstable
Urgency: low
Maintainer: Christian Marillat <marillat@debian.org>
Changed-By: Christian Marillat <marillat@debian.org>
Description: 
 suck       - small newsfeed from an NNTP server with standard NNTP commands
Closes: 460608 463152 476056 494620
Changes: 
 suck (4.3.2-6) unstable; urgency=low
 .
   * New maintainer (Closes: #494620)
   * Quote CFLAGS in make call (Closes: #476056)
   * Remove libperl-dev from Build-Depends because the configure script
     doesn't find libperl. This better than enabling libperl because for now
     suck is working (Closes: #463152)
   * Call perl with -w in get-news (Closes: #460608)
   * debian/NEWS.Debian rename file in NEWS and fix bad date format.
   * Moves to Policy 3.8.0
      o Removed debian/conffiles
Checksums-Sha1: 
 4305189c5f5e6df40d91db039e2fa99f7d5e3bbe 981 suck_4.3.2-6.dsc
 f3138a4e6ed99dec964b075415df454091ad3a74 70460 suck_4.3.2-6.diff.gz
 dc823f3b4aee33359775ceacc8efaa0538069335 161606 suck_4.3.2-6_i386.deb
Checksums-Sha256: 
 aa549a9da3a51749801e1faff5693b45b78c513fbd3b2f9c506ac4f4175dc8fe 981 suck_4.3.2-6.dsc
 1d4111f7bce5f671a4a5edda86434e72c679691aacb7d001b6cc4aa1e9a100ad 70460 suck_4.3.2-6.diff.gz
 09d5d77f56dff4adfd0bcf882d2ab285c7847d862c1e3ba9b72b92f70d286fdc 161606 suck_4.3.2-6_i386.deb
Files: 
 39f3912a974bda118914b9d0e344dcfe 981 news extra suck_4.3.2-6.dsc
 88c51362137dd3f1e52f17f6cd6988aa 70460 news extra suck_4.3.2-6.diff.gz
 09ebeadf095797537aa8ae22dff9b2aa 161606 news extra suck_4.3.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIpoJ8B9xWPR9BuQcRAuHsAKCPgdOvcoOPartGtKHTnlEUObYRRQCeI51C
0q8CrPwH57REDzqvWgSSEZQ=
=ZfLG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 07:43:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:05:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.